Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
TestResultAccessor Class Reference

`#include <gtest-internal-inl.h>`

## Static Public Member Functions
static void | RecordProperty (TestResult *test_result, const TestProperty &property)
static void | ClearTestPartResults (TestResult *test_result)
static const std::vector< testing::TestPartResult > & | test_part_results (const TestResult &test_result)
static void | RecordProperty (TestResult *test_result, const TestProperty &property)
static void | ClearTestPartResults (TestResult *test_result)
static const std::vector< testing::TestPartResult > & | test_part_results (const TestResult &test_result)
static void | RecordProperty (TestResult *test_result, const TestProperty &property)
static void | ClearTestPartResults (TestResult *test_result)
static const std::vector< testing::TestPartResult > & | test_part_results (const TestResult &test_result)

## Member Function Documentation

static void ClearTestPartResults | ( | TestResult * | test_result | ) |
| inline static

static void ClearTestPartResults | ( | TestResult * | test_result | ) |
| inline static

static void ClearTestPartResults | ( | TestResult * | test_result | ) |
| inline static

static void RecordProperty | ( | TestResult * | test_result,
|  | const TestProperty & | property
| ) |  |
| inline static

static void RecordProperty | ( | TestResult * | test_result,
|  | const TestProperty & | property
| ) |  |
| inline static

static void RecordProperty | ( | TestResult * | test_result,
|  | const TestProperty & | property
| ) |  |
| inline static

static const std::vector<testing::TestPartResult>& test_part_results | ( | const TestResult & | test_result | ) |
| inline static

static const std::vector<testing::TestPartResult>& test_part_results | ( | const TestResult & | test_result | ) |
| inline static

static const std::vector<testing::TestPartResult>& test_part_results | ( | const TestResult & | test_result | ) |
| inline static

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/src/gtest-internal-inl.h
- testing/googleTest/fused-src/gtest/gtest-all.cc